Skip to main content
POST
/
v1
/
config
/
contexts
/
{contextId}
/
rules
/
reorder
Reorder match rules
curl --request POST \
  --url https://matcher.sandbox.lerian.net/v1/config/contexts/{contextId}/rules/reorder \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ruleIds": [
    "<string>"
  ]
}
'
{
  "code": "404",
  "title": "not_found",
  "message": "context not found",
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

X-Idempotency-Key
string

Optional idempotency key for safe retries. Also accepts Idempotency-Key as an alternative header name. If the same key is sent again and the original request was already processed, the cached response is returned with X-Idempotency-Replayed: true.

See Retries and idempotency for details.

Path Parameters

contextId
string
required

The unique identifier of the reconciliation context.

Body

application/json

Ordered list of rule IDs

ruleIds
string[]
required
Minimum array length: 1

Response

Match rules reordered.

The response includes the X-Idempotency-Replayed header.

If the value is false, the request was just processed. If the value is true, the response is a replay of a previously processed request.

See Retries and idempotency for more details.